Cyberduck Mountain Duck CLI

#8372 closed defect (fixed)

Null pointer loading keys from sun.security.mscapi.KeyStore

Reported by: joeatsalot Owned by: yla
Priority: high Milestone: 4.6.1
Component: s3 Version: 4.6
Severity: blocker Keywords: S3
Cc: Architecture: Intel
Platform: Windows 7

Description

When connecting to S3, the connection fails immediately. In cyberduck 4.5.n this caused a complete app crash, but in 4.6 it just appears to do nothing.

  • Click Open Connection or create a bookmark
  • enter AWS Access Key ID and Secret Access Key
  • click Connect
  • the status bar flashes a message very briefly, but nothing else seems to happen

The log file shows the error:

[background-1] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null
java.lang.NullPointerException
	at IKVM... etc...

(log file attached)

As a result I'm completely unable to use (the awesome) Cyberduck for connecting to S3.

Attachments (1)

cyberduck - Copy.log (47.2 KB) - added by joeatsalot on Nov 26, 2014 at 9:35:30 PM.

Download all attachments as: .zip

Change History (7)

Changed on Nov 26, 2014 at 9:35:30 PM by joeatsalot

comment:1 Changed on Nov 26, 2014 at 9:37:36 PM by dkocher

  • Milestone set to 4.6.1
  • Owner changed from dkocher to yla
  • Summary changed from Fatal Key Store error connecting to S3 to Null pointer loading keys from sun.security.mscapi.KeyStore

comment:2 Changed on Nov 27, 2014 at 1:13:22 PM by dkocher

2014-11-27 09:56:44,205 [background-1] INFO  ch.cyberduck.core.ssl.CertificateStoreX509KeyManager - Load default store of type Windows-MY
2014-11-27 09:56:44,268 [background-1] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null
java.lang.NullPointerException
	at IKVM.Runtime.JNIEnv.StringFromUTF8(Unknown Source)
	at IKVM.Runtime.JNIEnv.NewStringUTF(Unknown Source)
	at sun.security.mscapi.KeyStore.loadKeysOrCertificateChains(Native Method)
	at sun.security.mscapi.KeyStore.engineLoad(KeyStore.java:760)
	at sun.security.mscapi.KeyStore$MY.engineLoad(KeyStore.java:62)
	at java.security.KeyStore.load(KeyStore.java:1214)
	at ch.cyberduck.core.ssl.CertificateStoreX509KeyManager.init(CertificateStoreX509KeyManager.java:88)
	at ch.cyberduck.core.ssl.CertificateStoreX509KeyManager.<bridge>init(CertificateStoreX509KeyManager.java:51)
	at ch.cyberduck.core.ssl.SSLSession.getKeyManager(SSLSession.java:87)
	at ch.cyberduck.core.http.HttpSession.registry(HttpSession.java:177)
	at ch.cyberduck.core.http.HttpSession.builder(HttpSession.java:106)
	at ch.cyberduck.core.s3.S3Session$RequestEntityRestStorageService.<init>(S3Session.java:123)
	at ch.cyberduck.core.s3.S3Session.connect(S3Session.java:372)
	at ch.cyberduck.core.s3.S3Session.<bridge>connect(S3Session.java:82)
	at ch.cyberduck.core.Session.open(Session.java:112)
	at ch.cyberduck.core.LoginConnectionService.connect(LoginConnectionService.java:151)
	at ch.cyberduck.core.LoginConnectionService.check(LoginConnectionService.java:98)
	at ch.cyberduck.core.LoginConnectionService.check(LoginConnectionService.java:105)
	at ch.cyberduck.core.threading.SessionBackgroundAction.connect(SessionBackgroundAction.java:198)
	at ch.cyberduck.ui.threading.BrowserBackgroundAction.connect(BrowserBackgroundAction.java:59)
	at ch.cyberduck.core.threading.SessionBackgroundAction.call(SessionBackgroundAction.java:166)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:171)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:167)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:604)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:58)
	at java.lang.Thread.run(Thread.java:937)

comment:3 Changed on Nov 28, 2014 at 1:32:57 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in r15888.

comment:4 Changed on Dec 3, 2014 at 3:04:21 AM by joeatsalot

Woohoo! That was quick. I'm looking forward to 4.6.1.

Cheers!

comment:5 Changed on Dec 3, 2014 at 7:54:32 AM by dkocher

Please update to the latest snapshot build available and let me know if the issue is resolved.

comment:6 Changed on Dec 3, 2014 at 8:22:38 PM by joeatsalot

IT WORKS!

Thank you very much.

Note: See TracTickets for help on using tickets.
swiss made software